use crate::memory::MemoryBus;
use crate::Clock;
use std::cell::RefCell;
use std::rc::Rc;

pub struct Ppu {
    memory_bus: Rc<RefCell<MemoryBus>>,
}

impl Ppu {
    pub fn new(memory_bus: Rc<RefCell<MemoryBus>>) -> Self {
        Self { memory_bus }
    }
}

impl Clock for Ppu {
    fn cycle(&mut self) {
        // todo!()
    }
}
